package com.hrsk.pangu.dto;

import java.util.Collection;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 11:19
 * @description: ANTD页面适配列表响应
 **/
public class AntDMultiResponse <T> extends Response {
    private static final long serialVersionUID = 1L;
    private Collection<T> data;

    public AntDMultiResponse() {
    }

    public void setData(Collection<T> data) {
        this.data = data;
    }

    public Collection<T> getData() {
        return this.data;
    }

    public static <T> AntDMultiResponse<T> of(Collection<T> data) {
        AntDMultiResponse<T> response = new AntDMultiResponse();
        response.setSuccess(true);
        response.setData(data);
        return response;
    }

    public static <T> AntDMultiResponse<T> of(MultiResponse<T> multiResponse) {
        AntDMultiResponse<T> response = new AntDMultiResponse();
        response.setData(multiResponse.getData());
        response.setErrCode(multiResponse.getErrCode());
        response.setErrMessage(multiResponse.getErrMessage());
        response.setSuccess(multiResponse.isSuccess());
        return response;
    }

    public static AntDMultiResponse buildSuccess() {
        AntDMultiResponse response = new AntDMultiResponse();
        response.setSuccess(true);
        return response;
    }

    public static AntDMultiResponse buildFailure(String errCode, String errMessage) {
        AntDMultiResponse response = new AntDMultiResponse();
        response.setSuccess(false);
        response.setErrCode(errCode);
        response.setErrMessage(errMessage);
        return response;
    }
}
