package com.hrsk.pangu.dto;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 11:21
 * @description: ANTD页面适配单独响应
 **/
public class AntDSingleResponse <T> extends Response {
    private static final long serialVersionUID = 1L;
    private T data;

    public AntDSingleResponse() {
    }

    public T getData() {
        return this.data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public static AntDSingleResponse buildSuccess() {
        AntDSingleResponse response = new AntDSingleResponse();
        response.setSuccess(true);
        return response;
    }

    public static AntDSingleResponse buildFailure(String errCode, String errMessage) {
        AntDSingleResponse response = new AntDSingleResponse();
        response.setSuccess(false);
        response.setErrCode(errCode);
        response.setErrMessage(errMessage);
        return response;
    }

    public static <T> AntDSingleResponse<T> of(T data) {
        AntDSingleResponse<T> response = new AntDSingleResponse();
        response.setSuccess(true);
        response.setData(data);
        return response;
    }

    public static <T> AntDSingleResponse<T> of(SingleResponse<T> singleResponse) {
        AntDSingleResponse<T> response = new AntDSingleResponse();
        response.setSuccess(singleResponse.isSuccess());
        response.setData(singleResponse.getData());
        return response;
    }
}
